Bug 294271 - kernel 2.6 or its driver doesn't work on TEAC FD-CR7 PN 193-08950, TEAC Flash Card / Floppy Combo.
kernel 2.6 or its driver doesn't work on TEAC FD-CR7 PN 193-08950, TEAC Flash...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-17 22:21 EDT by Emmanuel Chanel
Modified: 2008-06-16 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:25:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "lspci -vvxxx" on my troubled PC. (29.83 KB, text/plain)
2008-01-13 23:02 EST, Emmanuel Chanel
no flags Details
The output of dmesg (23.59 KB, text/plain)
2008-01-14 01:37 EST, Emmanuel Chanel
no flags Details
The output of lsmod (2.73 KB, text/plain)
2008-01-14 01:37 EST, Emmanuel Chanel
no flags Details

  None (edit)
Description Emmanuel Chanel 2007-09-17 22:21:14 EDT
Description of problem:
The kernel's fsync call doesn't work on TEAC FD-CR7 PN 193-08950-02 i.e I cannot
write/format floppy disks with TEAC Flash Card / Floppy Combo.
When I format the disks,I always see these lines:

Version-Release number of selected component (if applicable):
Fedora 7 kernel-2.6.22.5-76.fc7

How reproducible:

1.
> [emmanuel@star1 ~]$ fdformat /dev/fd0u1440
>Double-sided, 80 tracks, 18 sec/track. Total capacity 1440 kB.
>Formatting ... done
>Verifying ... Read: : Input/output error
>Problem reading cylinder 0, expected 18432, read -1
2. xyz on http://bbs.fedora.jp/read.php?FID=11&TID=6370&p=4 made a C program and
I compiled it as test.o. (The kernel isn't kernel-xen, btw.)
>[emmanuel@xen1 Softwares]$ ./test.o if=/dev/zero of=/dev/fd0 bs=512 count=2880
>0 (Not progressing from 0 and I cannot see my FDD working.)
And 
>[emmanuel@star1 Softwares]$ ./test.o
>
(I cannot see any new lines or my FDD working.)

Expected results:
test.o works like
>dd if=/dev/zero of=/dev/fd0 bs=512 count=2880
but it flushes buffers by sync every time.
Comment 1 Emmanuel Chanel 2007-09-17 22:22:56 EDT
(xen1 and star1 are the same PC.)
Comment 2 Emmanuel Chanel 2007-09-18 02:33:35 EDT
I cannot on Ubuntu 7.04 Desktop Edtion(Live CD), neither but I can on Knoppix
3.1  the Japanese Edition(Live CD).
Comment 3 Christopher Brown 2007-10-03 10:35:28 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

Is the drive mounted?

# mount /dev/fd0

Have you tried different disks as well as the latest kernel?
Comment 4 Emmanuel Chanel 2007-10-05 07:03:23 EDT
Hello!
> Is the drive mounted?
>
> # mount /dev/fd0
Yes. 

# mount -o ro /dev/fd0 /opt
# umount /dev/fd0
Doesn't have a problem. And
# mount /dev/fd0 /opt
mount the diskettes' filesystem itself.
But it doesn't write any new data to the disk or format it correctly.
And doing the test.o , it says below:
> # ./test.o
> 0
And I don't find the drive writing but the LED is lighting.
Comment 5 Christopher Brown 2007-10-05 15:48:58 EDT
Have you tried different floppy disks?
Comment 6 Emmanuel Chanel 2007-10-06 01:09:40 EDT
Oh... yes. For writing that article, I tried only one. But I'd already tried to
write a data to a diskette once. And now I tried another.
> # mount -o rw /dev/fd0 /opt
> # cd /opt/
> # ls
(It lists my files on the diskette.)
> # touch test.txt
> # cd
> # umount /opt

That umount doesn't write data to the diskette, neither.
> # ./test.o
> 0
Comment 7 Christopher Brown 2008-01-13 19:05:29 EST
Hello Emmanuel,

Are you still having this issue? If so, could you attach output from:

# lspci -vvxxx
dmesg
lsmod

as separate text/plain attachments.

Thanks
Chris
Comment 8 Emmanuel Chanel 2008-01-13 23:02:28 EST
Created attachment 291541 [details]
Output of "lspci -vvxxx" on my troubled PC.
Comment 9 Emmanuel Chanel 2008-01-14 01:37:04 EST
Created attachment 291554 [details]
The output of dmesg
Comment 10 Emmanuel Chanel 2008-01-14 01:37:36 EST
Created attachment 291555 [details]
The output of lsmod
Comment 11 Christopher Brown 2008-01-14 08:09:59 EST
So we get:

floppy0: data CRC error: track 1, head 1, sector 5, size 2
floppy0: data CRC error: track 1, head 1, sector 5, size 2
end_request: I/O error, dev fd0, sector 58
Buffer I/O error on device fd0, logical block 7
floppy0: data CRC error: track 2, head 1, sector 5, size 2
floppy0: data CRC error: track 2, head 1, sector 5, size 2
end_request: I/O error, dev fd0, sector 94
Buffer I/O error on device fd0, logical block 11
floppy0: data CRC error: track 1, head 1, sector 5, size 2
floppy0: data CRC error: track 1, head 1, sector 5, size 2
end_request: I/O error, dev fd0, sector 58
Buffer I/O error on device fd0, logical block 7
floppy0: disk removed during i/o
end_request: I/O error, dev fd0, sector 1
Buffer I/O error on device fd0, logical block 1
lost page write due to I/O error on fd0
floppy0: disk absent or changed during operation
end_request: I/O error, dev fd0, sector 10
Buffer I/O error on device fd0, logical block 10
lost page write due to I/O error on fd0
floppy0: disk absent or changed during operation
end_request: I/O error, dev fd0, sector 19
Buffer I/O error on device fd0, logical block 19
lost page write due to I/O error on fd0
floppy0: disk absent or changed during operation
end_request: I/O error, dev fd0, sector 34
Buffer I/O error on device fd0, logical block 34
lost page write due to I/O error on fd0

Do you get write errors with the flash drive or is it just the floppy?

Are you able to test with an alternative cable?
Comment 12 Emmanuel Chanel 2008-02-15 22:58:16 EST
It's just the floppy. The other drives work as one on a USB device.
I haven't tested another connector since I received your reply just now.
Comment 13 Bug Zapper 2008-05-14 10:23:55 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2008-06-16 22:25:45 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.